Subject: Pine erroneously splitting 1 msg into 2 msgs, why?

From: [email-masked] (Paul Robinson)
Date: 2 Mar 1996 10:11:43 GMT

I have noticed something which I believe is a misbehavior of the Pine 
mailer.

The following message, which was sent as one single message, is being
erroneously split into two messages by the Pine mailer running on a Sun
Unix system.  Pine is cutting off the message at the first "--02"
etc.  separator.  The second message starts with the header "Control:".

This message was created by the DARMAIL/PC mailer, and is supposed to be 
legal MIME syntax.

I believe this is legal, valid MIME syntax, and if so, the message should 
not have been stopped until the "--02"..."--" entry was reached, {which 
does appear in the end of the message}.

Is the message not in valid MIME format, (in which case the Darmail 
Mailer is in error), or is Pine failing to recognize it, (in which case 
Pine is at fault).  I can't see anything in the message which does not 
comply with all published RFCs and specifications, so I'm trying to 
figure out why Pine was splitting the message, terminating the first half 
at the point I indicated.  I am trying to find out if our program has 
done anything not in compliance with all published specifications for 
mail as specified in the RFCs.

The message appears below.

Sincerely,

Paul Robinson
Chief Programmer, Darmail/PC
General Manager,
Tansin A. Darcos & Company/TDR, Inc.
"An employee owned company"

>From [email-masked] Fri Mar  1 10:17 EST 1996
Date: Fri, 01 Mar 1996 09:59:51 EST
From: Paul Robinson <[email-masked]>
To: Mark Davis <[email-masked]>
Subject: Re: Original charter for newsgroup?
Newsgroups: alt.config,alt.religion.christian.boston-church
Followups-To:  alt.config
Organization: One True Church of God, Inc., AMN-SC, Silver Spring MD USA
Content-Length: 7183
Status: RO

This is a multi-part message in MIME format.
[email-masked]
Content-Type: TEXT/PLAIN; charset=US-ASCII

On Wed, 28 Feb 1996 00:53:40 GMT, Mark Davis <[email-masked]> wrote:
: Question:  Is there a way to find out the original purpose for a
: newgroup?

Yes.

: I am active in a newsgroup (alt.religeon.christianity.boston-church)

I presume you mean, alt.religion.christianity.boston-church, and I'll use 
that as the example for this article.

HOWEVER, having gone and done this to see, I discover that is not the
correct name.  The correct name is alt.religion.christian.boston-church, 
and that is the one I'll use in the examples given here.

: out that no one really knows what the original charter of the group
: was and have asserted thier right to recruit in the group... I would
: however like to find a way to actually get the original charter (if
: such a thing exists) and be able to post it.

UUNET archives ALL newgroup/rmgroup postings for ALL newsgroups. (Since
1981 with one month missing in 1982, and ALL since 1983). If the newgroup
command was issued since 1983, the message doing so will be there.  If 
that message included the charter, then you can get it from that message.

You can pick up whatever has been issued for a newgroup command via ftp 
from UUNET using the following example:

ftp://ftp.uu.net/control/<hierarchy>/<hierarchy.name.of.group>.Z

Where "<hierarchy>" is the part of the name up through but not including 
the first period, e.g. alt,comp,bionet,tdr, etc.

And "<hierarchy.name.of.group>" is the full name of the group.  The .Z 
indicates that the file is compressed, and you need to use UNCOMPRESS to 
extract it as a text file.

So for that group, the file would be

<A HREF="ftp://ftp.uu.net/control/alt/alt.religion.christian.boston-church.Z>
ftp://ftp.uu.net/control/alt/alt.religion.christian.boston-church.Z</A>

I went over and picked it up.  Having read it, the item, "Any other topic
of discussion that focuses on the Church of Christ"  would seem to
indicate, since recruiting for a religious organization is discussion
focusing on that organization, that it would be a valid topic of
discussion for that group. 

Would recruiting for the Church of Scientology be valid in the group
dealing with issues regarding that organization be valid?  I would think
so.  Same for people attempting to recruit Christians in the appropriate
Christian groups, or people recruiting Muslims in groups supporting
various Muslim sects, or people recruiting Satanic worshipers in groups
relating to that subject. 

Sincerely,

His Excellency, the Honorable

Paul Robinson, MHD

Divinely Appointed Most High Demigod,
One True Church of God, Incorporated
A Maryland Non-Stock Corporation
Incorp. MD July 14, 1995
[email-masked]
Content-Type: TEXT/PLAIN; charset=US-ASCII

                             APPENDIX

Newgroup command and charter for the group
alt.religion.christian.boston-church:

>From [email-masked] Wed Mar  1 06:00:41 1995
Control: newgroup alt.religion.christian.boston-church
Newsgroups: alt.config
Path: uunet!panix!zip.eecs.umich.edu!newshost.marcam.com!usc!math.ohio-state.edu!howland.reston.ans.net!ix.netcom.com!netcom.com!modemac
From: [email-masked] (Modemac)
Subject: cmsg newgroup alt.religion.christian.boston-church
Message-ID: <[email-masked]>
Organization: NETCOM On-line Communication Services (408 261-4700 guest)
X-Newsreader: TIN [version 1.2 PL1]
Date: Wed, 1 Mar 1995 10:42:39 GMT
Approved: [email-masked]
Lines: 62
Sender: [email-masked]
Xref: uunet control:1718409
Status: RO
X-Status: 

For your newsgroups file:
alt.religion.christian.boston-church    The international Church of Christ.

[This newsgroup was proposed on alt.config on Saturday, February 19, 
1995.  There has been a considerable amount of discussion concerning the
organization known as the "Boston Church of Christ," evidencing the need 
for a its own newsgroup.  The majority of messages in the newsgroup 
creation discussion were in favor of its creation, with the only real 
point of contention being the name of the newsgroup itself.  The 
extension "boston-church" is under the 14-character limit for Usenet 
newsgroup names, and it seems to be the best phrase to bring the name 
"Boston Church of Christ" to the attention of the reader.]

Charter of the newsgroup:

Alt.religion.christian.boston-church is a Usenet newsgroup for discussion 
of the organization best known to the world at large as the "Boston 
Church of Christ."  This organization has subsidiaries in major cities 
across the United States and in other countries, such as London.  It also 
goes by the name of "International Church of Christ," though its Boston 
name is still widely used.

The actions of this organization have sparked a debate over whether this 
organization is, in fact, a "cult:" a group that attempts to influence 
and control the thoughts of its members.  Defenders of the Church 
of Christ deny this claim, saying that it is a religious study group.  
Critics of the organization have noted that the actions taken by the 
group to control its members and counter critics mirror the actions used 
by other alleged "cults" to silence criticism, including the suppression 
of the right to free speech.

One of the greatest advantages of the Internet is its (relatively) 
uncensored free speech.  There is no way to completely control a 
discussion in a Usenet newsgroup, which makes Usenet an ideal forum for 
the discussion of controversial subjects, such as alleged religious 
cults.  Hence the need for alt.religion.christian.boston-church.

Topics to be discussed on this forum include:

        - The difference between the Boston Church of Christ to
          other, similarly named "Churches of Christ."
        - The history of the organization and its leaders.
        - Attempts to contact members of the organization by
          friends and family members.
        - Alleged actions taken by the organization to silence
          or counter critics, and to silence those who have
          left the organization.
        - Statements by members of the Church of Christ on
          the fairness of accusations that their organization
          is a cult.
        - Any other topic of discussion that focuses on the
          Church of Christ.

In controversial discussions such as this one, distorted truths and lies 
are likely to be used by both sides of the argument.  The free speech of 
the Internet can be used to separate the truth from the lies, and reveal 
the truth about the organization known as the Boston Church of Christ.
-- 
               +---------------------------------------+
               | Reverend Modemac ([email-masked]) |
+--------------+     "There is no black and white."    +-------------+
|  First Online Church of "Bob," A Subfaction of the Excremeditated  |
|      Congregation of the Overinflated Head of L. Ron Hubbard       |
+--------------------------------------------------------------------+
 FINGER [email-masked] for a FREE SubGenius Pamphlet!!
[email-masked]